/* FONTS */
    /* Archivo Black */
@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
    /* Chakra Petch */
@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&family=Chakra+Petch:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
    /* Inter */
@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&family=Chakra+Petch:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

/* RESET */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
}

h1 {
    font-family: 'Archivo Black';
    font-size: 40px;
}
h2, h3 {
    font-family: 'Chakra Petch';
    font-size: 30px;
}
p, li {
    font-family: 'Inter';
    font-size: 20px;
}
.btn-primary {
    background-color: #ffe800;
    color: #222222;
}

/* Text colors */
    .bghead {
        color: #FBFBFB;
    }
    .bgtext {
        color: #E0E0E0;
    }

    body {
        padding-top: 50px;
    }


/* !!! NAVBAR STUFF !!! */
    /* Navbar container */
    .navbar {
        overflow: hidden;
        background-color: #222222;
        display: flex;
        justify-content: space-between;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        z-index: 999;
    }

    /* logo */
    .nav-logo {
    float: left;
    margin: 5px;
    width: 115px;
    height: 50px;
    background-image: url(photos/helldivers-skull-logo.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    transition: background-image 0.6s;
    }

    /* logo hover efect */
    .nav-logo:hover {
        background-image: url(photos/helldivers-skull-red.png);
        filter: drop-shadow(0 0 8px rgba(255, 0, 0, 0.6));
    }

    /*  */
    .title {
        font-family: "Archivo Black";
        color: #E0E0E0;
        font-size: 18px;
        display: flex;
        align-items: center;
    }

    /* The dropdown container */
    .dropdown {
        float: right;
        overflow: hidden;
    }

    /* Dropdown button */
    .dropbtn {
        font-size: 25px;
        border: none;
        outline: none;
        color: #E0E0E0;
        padding: 15px 20px;
        background-color: inherit;
        margin: 0 15px;
    }

    /* Add a background color to navbar links on hover */
    .dropdown:hover .dropbtn {
        background-color: #ffed35;
        color: #222222;
    }

    .dropdown-block {
        display: block;
        background: #222222;
        border-radius: 10px;
    }

        /* Dropdown content (hidden by default) */
        .dropdown-content {
            display: none;
            position: fixed;
            background-color: #222222; /* black box */
            min-width: 200px;

            border-radius: 10px;

            margin-top: 17px; 
            margin-right: 25px;

            right: 0; 

            border: 8px solid #B3A300;
            overflow: hidden;
            z-index: 100;
            font-family: "Chakra Petch";
        }

        /* Links inside the dropdown */
        .dropdown-content a {
            float: none;
            color: #E0E0E0;
            padding: 12px 16px;
            text-decoration: none;
            display: block;
            text-align: left;
        }

    /* Add a grey background color to dropdown links on hover */
    .dropdown-content a:hover {
        background-color: #ffed35;
        color: #222222;
    }

    /* Show the dropdown menu on hover */
    .dropdown:focus-within .dropdown-content {
        display: block;
    }
    .dropbtn:hover, 
    .dropdown:focus-within .dropbtn {
        background-color: #ffe800;
        color: #222222;
        cursor: pointer;
    }


/* Yellow Border on sides */
.yellow_side {
    border-left: 50px solid #ffe800;
    border-right: 50px solid #ffe800;
    min-height: 100vh;
    margin: 0;
    position: relative;
}

/* This rule tells the header to ignore body limits */
.yellow_side header {
    margin-left: -50px;
    margin-right: -50px;
    display: block;
}


/* Card tabel */
.card-tabel {
    background: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.9)), url(photos/hd2_background.jpeg) no-repeat center center/cover;
    min-height: 65vh;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 40px;
    flex-wrap: wrap;
}

.card {
    width: 280px;
    height: 400px;
    background:#B3A300;
    opacity: 0.83;

    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    padding: 20px;
    justify-content: space-between;
    padding: 20px;

    border: #ffed35 solid 15px;
    border-radius: 10px;
    box-shadow: 0 10px 20px rgba(0,0,0,0.3);

    transition: transform 0.2s ease 0.1s;
}

.card:hover {
    transform: translateY(-3.7px);
    opacity: 1;
}

/* Card divider */
    .card-divider {
    width: 112%;
    border: none;
    border-top: 2px dashed #FBFBFB;
    margin: 10px 0;
    opacity: 0.8;
    }

    /* Read more button */
    .readbtn a {
        text-decoration: none;
        color: #222222;
    }

    .readbtn {
        font-family: "Chakra Petch";
        padding: 8px 20px;
        border: none;
        border-radius: 4px;
    }

    .readbtn:hover {
        background-color: #FFF593;
        color: #222222;
        cursor: pointer;
        transition: background-color 0.6s, color 1s;
        filter: drop-shadow(0 0 8px rgba(255, 255, 255, 0.6));
    }

/* Card & Content divider */
.card-content-footer-divider {
    border: none;
    border-top: 3px solid #FBFBFB;
}
.card-content-footer-divider-black {
    border: none;
    border-top: 3px solid #0e0e0e;
}


/* Front page */
/* CONTENT */

    .home-content {
        background: linear-gradient(rgba(0, 0, 0, 0.659), rgba(0, 0, 0, 0.000001)),#3A3A3A;
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        padding: 60px 60px;
    }

    .content-flex-wrapper {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 20px;
        margin-top: 25px;
    }

    .content-text-box {
        width: 540px;
        height: auto;
        padding: 20px;
        border-top: 0.5px solid #FBFBFB;
        text-align: left;
    }


/* FOOTER */
#footer {
    background: #3A3A3A;
    color: #FBFBFB;
    text-align: center;
    padding-top: 50px;
    padding-bottom: 35px;
}


/* ------------- */
/* Collection stuff */
/* ------------- */


.collection-content {
    background: #3A3A3A;
    align-items: center;
    text-align: center;
    padding: 60px 15%;
}
.collection-heading {
    margin-bottom: 60px;
}
.collection-text {
    margin-bottom: 95px;
}
.compressor-start-text {
    padding-left: 150px;
    padding-right: 150px;
}

/* species box */
.species-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-bottom: 70px;
}

.species-info {
    display: flex;
    flex-direction: column;
    width: 50%;
}

.species-info hr {
    width: 200%;
}

.species-heading {
    text-align: left;
}
.species-stat-text {
    text-align: left;
    padding-top: 25px;
    padding-left: 25px;
    padding-bottom: 30px;
}
.species-bubble-box {
    display: grid;
    width: 370px;
    height: 110px;
    background:#A0A0A0;
    margin-left: 30px;
    border-radius: 10px;
    grid-template-rows: repeat(3, 1fr);
    grid-auto-flow: column;
}

/* Colored dot before text */
    .species-bubble-box p::before {
        content: "";
        display: inline-block;
        width: 8px; 
        height: 8px;
        border-radius: 50%;
        margin-right: 10px;
        vertical-align: middle; 
    }

    /* 1. row - Difficulty */
    .species-bubble-box p:nth-child(1)::before {
        background-color: #ff4444;
    }

    /* 2. row - Armor Rating */
    .species-bubble-box p:nth-child(2)::before {
        background-color: #4FC3F7;
    }

    /* 3. row - Speed */
    .species-bubble-box p:nth-child(3)::before {
        background-color: #00C851;
    }

    /* Just in case I decide to add more bubble points */
    /* 4. row -  */
    .species-bubble-box p:nth-child(4)::before {
        background-color: #ff4444;
    }

    /* 5. row -  */
    .species-bubble-box p:nth-child(5)::before {
        background-color: #ffbb33;
    }

    /* 6. row -  */
    .species-bubble-box p:nth-child(6)::before {
        background-color: #00C851;
    }


    .species-image {
        width: 50%;
        display: flex;
        justify-content: flex-end;
        margin-top: 70px;
    }
    .species-image img {
        width: 100%;
        max-width: 450px;
        height: 400px;
        object-fit: contain;
        object-position: right center;
    }

/* ABOUT PAGE */
/* ABOUT PAGE */
.about {
    background: #3A3A3A;
    padding: 60px 10%;
}

.about-heading {
    text-align: center;
    margin-bottom: 60px;
}

/* 2x2 Grid */
.about-grid {
    display: grid;
    grid-template-columns: 1fr 1fr; /* 2 columns */
    gap: 55px;
    align-items: center;
}

/* Text box style */
.about-content p {

    line-height: 1.6;
}

/* Fits videos into boxes */
.intro-video video, 
.gameplay-video video {
    width: 100%;
    height: auto;
    display: block;
    border: 3px solid #ffed35;
    border-radius: 5px;
    
    /* This fits the video covers */
    object-fit: cover; 
}

.about-content a {
    color: rgb(255, 150, 50);
    filter: drop-shadow(0 0 20px rgba(255, 0, 0, 0.9));
}







/* --- RESPONSIVE DESIGN --- */
@media (max-width: 1125px) {
    /* Makes content edges smaller */
    .navbar H1 {
        font-size: 1px;
        visibility: hidden;
    }

    h1 {
        font-size: 35px;
    }

    .collection-content {
        padding: 40px 5%; 
    }
    
    .compressor-start-text {
        padding-left: 30px;
        padding-right: 30px;
    }

    .content-text-box {
        width: 250px;
    }

    /* Sets boxes under each other */
    .species-box {
        flex-direction: column; 
        margin-bottom: 60px;
    }
    
    /* Lets text take 100% width instead of 50% */
    .species-info {
        width: 100%; 
    }
    
    /* Sets HR line to be 100% width */
    .species-info hr {
        width: 100%; 
    }
    
    /* Heading and bubble box centered */
    .species-bubble-box {
        margin-left: 0;
        margin-top: 15px;
        font-size: 15px;
        width: 285px;
        height: 140px;
    }

    .species-stat-text p {
        font-size: 19px;
    }

    /* Image location */
    .species-image {
        width: 100%; 
        justify-content: center; 
        margin-top: 30px;
    }
    
    /* Centers the image */
    .species-image img {
        height: auto;
        max-height: 400px;
        object-position: center;
    }

    .about-grid {
        grid-template-columns: 1fr; /* On smaller screens everything goes on top of each other */
        gap: 25px;
    }
    
    .about {
        padding: 40px 5%;
    }
}